be.ehealth.business.mycarenetcommons.v4.builders

## Class RequestObjectBuilderHelper<T extends SendRequestType>

- java.lang.Object
- - be.ehealth.business.mycarenetcommons.v4.builders.RequestObjectBuilderHelper<T>

-     public class RequestObjectBuilderHelper<T extends SendRequestType>
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RequestObjectBuilderHelper.WithoutRouting`
    `static class` | `RequestObjectBuilderHelper.WithRouting`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestObjectBuilderHelper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `buildSendRequestType(boolean isTest, String inputReference, List<Attribute> attributes, Blob blob, String projectIdentifier, Class<T> clazz)`
    `void` | `checkParameterNotNull(Object references, String parameterName)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestObjectBuilderHelper

          public RequestObjectBuilderHelper()

  - ### Method Detail

    - #### buildSendRequestType

          public T buildSendRequestType(boolean isTest,
                                        String inputReference,
                                        List<Attribute> attributes,
                                        Blob blob,
                                        String projectIdentifier,
                                        Class<T> clazz)
                                 throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

    - #### checkParameterNotNull

          public void checkParameterNotNull(Object references,
                                            String parameterName)
                                     throws TechnicalConnectorException

      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.